#include "Animacao.hpp"

// Construtor
Animacao::Animacao(Face* face)
{
   // Define o estado inicial da animacao
   anima = false;
   desfaz = false;
   tempo = 200;

   this->face = face;
}

// Inicia a animacao, definindo o atributo anima como true e definindo o valor 
// inicial do contador de influencia
void Animacao::iniciaAnimacao(double influencia)
{
   anima = true;
   infAtual = influencia;
}

// Encerra a animacao, definindo o atributo anima como false
void Animacao::encerraAnimacao()
{
   anima = false;
}

// Verifica se a animacao acabou
bool Animacao::encerrouAnimacao()
{
   return !anima;
}


