#ifndef __ANIMACAOROTACAO_HPP__
#define __ANIMACAOROTACAO_HPP__

#include "Animacao.hpp"

// Gerencia a animacao sobre o no da face, de rotacao nos tres eixos
class AnimacaoRotacao : public Animacao
{
public:
   AnimacaoRotacao(Face* face) :
      Animacao(face) {};
   ~AnimacaoRotacao() {};

   // Dispara a rotacao incrementando a influencia aos poucos
   void rotaciona(char eixo, double limite, double vel);
   void rotacionaDesfaz(char eixo, double limite);

   // Sorteia a velocidade para o proximo movimento de rotacao da face
   void sorteiaNovaVelRotacao(double vel);

private:
   // Velocidade de rotacao da face
   double velRotacao;
};

#endif
