#ifndef __MovimentacaoOlhos_HPP__
#define __MovimentacaoOlhos_HPP__

#include "Visao.hpp"
#include "AnimacaoPose.hpp"

// Influencia do movimento dos olhos
#define INF_OLHOS 0.3

// Velocidade com que a face move os olhos
#define VEL_OLHOS 0.001

// Classe que trata a movimentacao dos olhos da face
class MovimentacaoOlhos
{
public:
   MovimentacaoOlhos(Face* face);
   ~MovimentacaoOlhos() {};

   // Movimentacoes possiveis para os olhos
   void segueUsuario();
   void moveAleatoriamente(int cntFrames);

private:
   // Animacoes para os olhos
   AnimacaoPose* animOlhos[4];
};

#endif
